### Function

# GLib Array append_vals

#### Declaration [src]

    GArray*
    g_array_append_vals (
      GArray* array,
      gconstpointer data,
      guint len
    )

#### Description [src]

Adds `len` elements onto the end of the array.

`data` may be `NULL` if (and only if) `len` is zero. If `len` is zero, this function is a no-op.

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  An array.

  The data is owned by the caller of the function.

`data`

  Type: `gconstpointer`

  A pointer to the elements to append to the end of the array.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`len`

  Type: `guint`

  The number of elements to append.

#### Return value

Type: An array of `gpointer`

The `GArray`.

The data is owned by the called function.